# InventoryGUIButtonPageChange

class InventoryGUIButtonPageChange<T : ForInventory>(inventoryGUIElementData: InventoryGUIElementData, calculator: InventoryGUIPageChangeCalculator, onChange: (InventoryGUIClickEvent<T>) -> Unit?) : InventoryGUIButton<T>
Content copied to clipboard

## Functions

equals
Link copied to clipboard
open operator override fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open override fun hashCode(): Int
Content copied to clipboard
onClick
Link copied to clipboard
override fun onClick(clickEvent: InventoryGUIClickEvent<T>)
Content copied to clipboard
toString
Link copied to clipboard
open override fun toString(): String
Content copied to clipboard

## Properties

action
Link copied to clipboard
override val action: (InventoryGUIClickEvent<T>) -> Unit
Content copied to clipboard
inventoryGUIElementData
Link copied to clipboard
override val inventoryGUIElementData: InventoryGUIElementData
Content copied to clipboard